Hello
I have a problem with my macro and with the export (Save as...) in PDF of my drawings that contain welding symbols: the broken line goes to Continuous, as in the image.
If I print the file in PDF, with Microsoft to PDF or Adobe PDF I don't have the problem.
Do you have a solution?
Below is my macro.
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim lErrors As Long
Dim lWarnings As Long
Sub main()
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
PathName = UCase(swModel.GetPathName)
FilePath = Left(PathName, InStrRev(PathName, "\"))
FileTyp = swModel.GetType
'MsgBox (FileTyp)
Select Case FileTyp
Case swDocDRAWING
swModel.Extension.SaveAs FilePath & GetFilename(swModel.GetPathName) & "-" & swModel.CustomInfo2("", "Revision") & ".pdf", swSaveAsCurrentVersion, swSaveAsOptions_Silent, Nothing, lErrors, lWarnings
swDocASSEMBLY box
swModel.Extension.SaveAs FilePath & GetFilename(swModel.GetPathName) & "-Assy-" & swModel.CustomInfo2("", "Revision") & ".pdf", swSaveAsCurrentVersion, swSaveAsOptions_Silent, Nothing, lErrors, lWarnings
swDocPART box
swModel.Extension.SaveAs FilePath & GetFilename(swModel.GetPathName) & "-Part-" & swModel.CustomInfo2("", "Revision") & ".pdf", swSaveAsCurrentVersion, swSaveAsOptions_Silent, Nothing, lErrors, lWarnings
Case Else
swModel.Extension.SaveAs FilePath & GetFilename(swModel.GetPathName) & "-" & swModel.CustomInfo2("", "Revision") & ".pdf", swSaveAsCurrentVersion, swSaveAsOptions_Silent, Nothing, lErrors, lWarnings
End Select
MsgBox ("The PDF has been generated, and should open automatically. Have a nice day!")
End Sub
Function GetFilename(strPath As String) As String
Dim strTemp As String
strTemp = Mid$(strPath, InStrRev(strPath, "\") + 1)
GetFilename = Left$(strTemp, InStrRev(strTemp, ".") - 1)
End Function
Thanks in advance!
symbole_soudure.jpg